/*************************************** 服务页面 ******************************/
.header-bg{
    width: 100%;
    height: 600px;
    position: relative;
}

.header-bg img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
    filter: grayscale(80%);
}
.header-bg .header-content{
    position: absolute;
    top: 60%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1;
    width: 40vw;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
    padding: 2rem;
    background-color: rgba(255, 255, 255, 0.75);
}
.header-content .header-title{
    font-size: 40px;
    font-weight: 400;
    letter-spacing: 4px;
}
.header-content .header-desc{
    text-align: center;
    font-size: 20px;
    font-weight: 400;
    letter-spacing: 2px;
    color: var(--logo-color);
    text-shadow: 0 0 10px var(--border-color);
}


.service-domain{
    width: 100%;
    padding: 4rem 4rem 2rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
}
.service-domain h2{
    font-size: 32px;
    font-weight: 400;
    letter-spacing: 4px;
}
.service-domain p{
    font-size: 20px;
    font-weight: 400;
    letter-spacing: 2px;
    color: var(--logo-color);
}



.services-detail{
    width: 100%;
    padding: 4rem;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 2rem;
}
.services-detail-item{
    padding: 1rem 2rem;
    border: 1px solid var(--border-color);
    border-radius: var(--border-radius);
    background-color: #fafafa;
    transition: all var(--transition-speed) ease;
}
.services-detail-item h2{
    font-size: 24px;
    font-weight: 400;
    letter-spacing: 2px;
    margin-bottom: 1rem;
}
.services-detail-item p{
    font-size: 14px;
    font-weight: 400;
    letter-spacing: 2px;
}
.services-detail-item .tags{
    font-size: 12px;
    font-weight: 400;
    letter-spacing: 2px;
    display: flex;
    flex-wrap: wrap;
    margin-top: 0.5rem;
}
.services-detail-item .tags span{
    display: inline-block;
    padding: 4px 8px;
    border-radius: var(--border-radius);
    background-color: #fff;
    margin-right: 8px;
    border: 1px solid var(--border-color);
}
.services-detail-item:hover {
    box-shadow: 0 0 10px 4px var(--border-color);
    cursor: pointer;
    transform: translateY(-5px);
}
.services-detail-item:hover h2{
    color: var(--logo-color);
}

@media (min-width: 1024px) {
    .services-detail{
        grid-template-columns: repeat(3, 1fr);
    }
}

@media (max-width: 768px) {
    .services-detail {
        padding: 1rem;
    }
    .header-bg .header-content{
        width: 80vw;
    }
    .services-detail{
        grid-template-columns: 1fr;
    }
    .services-ideal{
        font-size: 14px;
    }
}



.service-ideal{
    width: 100%;
    padding: 4rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
}
.service-ideal h2{
    font-size: 32px;
    font-weight: 400;
    letter-spacing: 4px;
}
.service-ideal p{
    font-weight: 400;
    letter-spacing: 2px;
}
.service-ideal span{
    font-size: 1.1rem;
    font-weight: 400;
    letter-spacing: 2px;
    color: var(--logo-color);
}
